/*
 * activity5.c
 *
 *  Created on: Sep 23, 2025
 *      Author: sowgro
 */


#include <UART.h>
#include "printf.h"

uint8_t read_and_print_char() {
	uint8_t ch = USART_Read(USART2);
	printf("%c", ch);
	if (ch == '\r') {
		printf("\n");
	}
	return ch;
}

void activity5_run() {
	for(;;) {
		read_and_print_char();
	}
}
